commit 8c1dbc358be1f66ba6cf2bcd574aa3739affec57
Author: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date:   Thu Feb 16 19:41:52 2017 +0100

    Make kde3support and Qt3Support optional (default on)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 463919b669..d7caade3cf 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -48,6 +48,9 @@ option(WITH_SOLID_WMI "Enables the deprecated WMI backend on Windows")
 ############### Give the user the option to build without qtwebkit dependency  ###############
 option(WITH_KDEWEBKIT "Enables the deprecated kdewebkit and kdewebkit-widgets" "ON")
 
+############### Give the user the option to build without qt3support dependency ###############
+option(WITH_KDE3SUPPORT "Enables the deprecated kde3support" "ON")
+
 ############### Load the CTest options ###############
 # CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
 # in the KDE build system, this is the same as CMAKE_BINARY_DIR.
@@ -324,9 +327,9 @@ endif(NOT WINCE)
 add_subdirectory( kio )
 add_subdirectory( solid )
 add_subdirectory( kded       )
-if (QT_QT3SUPPORT_FOUND)
+if (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
    add_subdirectory( kde3support  )
-endif (QT_QT3SUPPORT_FOUND)
+endif (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
 add_subdirectory( kfile )
 add_subdirectory( kconf_update )
 if(NOT WINCE)
diff --git a/includes/CMakeLists.txt b/includes/CMakeLists.txt
index cdf014320e..a303647c76 100644
--- a/includes/CMakeLists.txt
+++ b/includes/CMakeLists.txt
@@ -1,4 +1,4 @@
-if (QT_QT3SUPPORT_FOUND)
+if (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
 install( FILES
   K3BookmarkDrag
   K3ButtonBox
@@ -50,7 +50,7 @@ install( FILES
   K3NamedCommand
   K3RFCDate
 DESTINATION ${INCLUDE_INSTALL_DIR}/KDE COMPONENT Devel)
-endif (QT_QT3SUPPORT_FOUND)
+endif (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
 
 install( FILES
   KACL
@@ -515,14 +515,14 @@ DESTINATION ${INCLUDE_INSTALL_DIR}/KDE COMPONENT Devel)
 endif(NOT KDE_NO_DEPRECATED)
 
 if (UNIX)
-   if (QT_QT3SUPPORT_FOUND)
+   if (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
       install( FILES
         K3ProcIO
         K3Process
         K3ProcessController
         K3ShellProcess
       DESTINATION ${INCLUDE_INSTALL_DIR}/KDE COMPONENT Devel)
-   endif (QT_QT3SUPPORT_FOUND)
+   endif (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
 
    install( FILES
      KDEsuClient
diff --git a/kdewidgets/CMakeLists.txt b/kdewidgets/CMakeLists.txt
index ecb6b69a5e..62db88b7c4 100644
--- a/kdewidgets/CMakeLists.txt
+++ b/kdewidgets/CMakeLists.txt
@@ -124,7 +124,7 @@ if(QT_QTDESIGNER_FOUND)
   install(TARGETS kdewebkitwidgets  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
   endif(WITH_KDEWEBKIT)
 
-  if (QT_QT3SUPPORT_FOUND)
+  if (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
 
      include_directories(
        ${CMAKE_SOURCE_DIR}/kde3support
@@ -158,7 +158,7 @@ if(QT_QTDESIGNER_FOUND)
      endif(NOT WIN32)
 
      install(TARGETS kde3supportwidgets  DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )
-  endif (QT_QT3SUPPORT_FOUND)
+  endif (WITH_KDE3SUPPORT AND QT_QT3SUPPORT_FOUND)
 endif (QT_QTDESIGNER_FOUND)
 
 ########### install files ###############
